## com.ibatis.jpetstore.domain
Class Cart

    java.lang.Object
      com.ibatis.jpetstore.domain.Cart

All Implemented Interfaces:
  Serializable

public class Cart
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private com.ibatis.common.util.PaginatedList` `itemList`
`private Map` `itemMap`

Constructor Summary
`Cart()`

Method Summary
`void` `addItem(Item item, boolean isInStock)`
`boolean` `containsItemId(String itemId)`
`Iterator` `getAllCartItems()`
`com.ibatis.common.util.PaginatedList` `getCartItemList()`
`Iterator` `getCartItems()`
`int` `getNumberOfItems()`
`BigDecimal` `getSubTotal()`
`void` `incrementQuantityByItemId(String itemId)`
`Item` `removeItemById(String itemId)`
`void` `setQuantityByItemId(String itemId, int quantity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itemMap

    private final Map itemMap

### itemList

    private final com.ibatis.common.util.PaginatedList itemList

Constructor Detail

### Cart

    public Cart()

Method Detail

### getCartItems

    public Iterator getCartItems()

### getCartItemList

    public com.ibatis.common.util.PaginatedList getCartItemList()

### getNumberOfItems

    public int getNumberOfItems()

### getAllCartItems

    public Iterator getAllCartItems()

### containsItemId

    public boolean containsItemId(String itemId)

### addItem

    public void addItem(Item item,
                        boolean isInStock)

### removeItemById

    public Item removeItemById(String itemId)

### incrementQuantityByItemId

    public void incrementQuantityByItemId(String itemId)

### setQuantityByItemId

    public void setQuantityByItemId(String itemId,
                                    int quantity)

### getSubTotal

    public BigDecimal getSubTotal()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.